﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace XamDataChartPolygonSeriesStyling
{
    public class ViewModel
    {
        public List<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new List<SampleData>();

            Point p1 = new Point(1, 1);
            Point p2 = new Point(1, 4);
            Point p3 = new Point(4, 4);
            Point p4 = new Point(4, 1);

            Point p5 = new Point(6, 1);
            Point p6 = new Point(9, 1);
            Point p7 = new Point(9, 4);
            Point p8 = new Point(6, 4);

            SampleData sd1 = new SampleData();
            sd1.ShapeColor = Brushes.Red;
            sd1.Points = new List<Point>() {
                p1, p2, p3, p4
            };

            SampleData sd2 = new SampleData();
            sd2.ShapeColor = Brushes.Blue;
            sd2.Points = new List<Point>()
            {
                p5, p6, p7, p8
            };

            Data.Add(sd1);
            Data.Add(sd2);
        }
    }

    public class SampleData
    {
        public List<Point> Points { get; set; }
        public Brush ShapeColor { get; set; }
    }
}
